Skip to main content
GET
Get inference registry credential

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

credential_name
string
required

Registry credential name.

Minimum string length: 4
Pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$
Example:

"docker-io"

Response

200 - application/json

OK

name
string
required

Registry credential name.

Minimum string length: 4
Pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?$
Example:

"docker-io"

project_id
integer
required

Project ID to which the inference registry credentials belongs.

Example:

1

registry_url
string
required

Registry URL.

Example:

"registry.example.com"

username
string
required

Registry username.

Example:

"username"